// references:
// http://code.google.com/apis/maps/documentation/javascript/tutorial.html
// http://code.google.com/apis/maps/documentation/javascript/overlays.html#Markers
// http://code.google.com/apis/maps/documentation/geocoding/
// http://articles.sitepoint.com/article/google-maps-api-jquery
// http://stackoverflow.com/questions/829353/google-maps-trouble-closures-passing-by-reference

$(function() {
   var myOptions = {
      zoom: 12,
      center: new google.maps.LatLng(38.230896000000001, -122.644355),
      mapTypeId: google.maps.MapTypeId.ROADMAP
   };
   var map = new google.maps.Map($("#map_canvas")[0], myOptions);
   var infowindow = new google.maps.InfoWindow();

   google.maps.event.addListener(map, 'click', function() {
      infowindow.close()
   });

   $.getJSON("/content/petalumahams.json", "", function(theJson) {
     $.each(theJson.list, function(index, v) {
         var lat = v.lat;
         var lng = v.lng;
         var address = v.address;
         var callsign = v.callsign;
         var pt = new google.maps.LatLng(lat, lng);

         var lbl = callsign+": "+address;
         var marker = new google.maps.Marker({position: pt, map: map, title: lbl});

         google.maps.event.addListener(marker, 'click', function() {
            infowindow.close()
            infowindow.setContent("<br>" + marker.getTitle());
            infowindow.open(map,marker);
         });
    });
   })
});
